#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# Copyright 2017 Ricequant, Inc
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

from ...utils import PY_VERSION, SYS_ARCHITECTURE, SYS_PLATFORM

if SYS_PLATFORM == 'Linux' and PY_VERSION == '2.7' and SYS_ARCHITECTURE == '64bit':
    from .linux64_27 import ApiStruct, MdApi, TraderApi
elif SYS_PLATFORM == 'Linux' and PY_VERSION == '3.4' and SYS_ARCHITECTURE == '64bit':
    from .linux64_34 import ApiStruct, MdApi, TraderApi
elif SYS_PLATFORM == 'Linux' and PY_VERSION == '3.5' and SYS_ARCHITECTURE == '64bit':
    from .linux64_35 import ApiStruct, MdApi, TraderApi
elif SYS_PLATFORM == 'Linux' and PY_VERSION == '3.6' and SYS_ARCHITECTURE == '64bit':
    from .linux64_36 import ApiStruct, MdApi, TraderApi

else:
    raise ImportError('不存在对应该平台的 CTP 接口。')

__all__ = ['ApiStruct', 'MdApi', 'TraderApi']
